Bug 253296 - net/aprsc: Update to 2.1.8
Summary: net/aprsc: Update to 2.1.8
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Diane Bruce
URL: https://groups.google.com/g/aprsc/c/1...
Keywords: easy, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2021-02-06 12:56 UTC by Daniel Austin
Modified: 2021-02-22 01:44 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Update aprsc to 2.1.8 (2.65 KB, patch)
2021-02-06 12:56 UTC, Daniel Austin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2021-02-06 12:56:16 UTC
Created attachment 222213 [details]
Update aprsc to 2.1.8

Update aprsc to version 2.1.8

Poudriere testport logs for 11+12 i386/amd64 available at:

https://pkg-builder.dan.net.uk/poudriere/data/latest-per-pkg/aprsc/2.1.8/
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-08 14:12:59 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A:  
 /tmp/253296/net/aprsc/files/patch-web_index.html: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

Variables out of place:

# License block                              
LICENSE                                                                                                                                                                                                                   
LICENSE_FILE
                                                                                                             
# Dependencies
LIB_DEPENDS                                                                                                  

-MAKEFILE
                                                      
-WRKSRC
                                                      
-GNU_CONFIGURE
                                                      
# USES block                                                                                                 
USES

# USES=shebangfix related variables
SHEBANG_FILES

# Configure block
+GNU_CONFIGURE
CONFIGURE_ARGS

# Make block
+MAKEFILE

# WRKSRC block
+WRKSRC


^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

Would you make those changes too?

Thanks!
Comment 2 FUJIURA Toyonori 2021-02-10 08:13:10 UTC
ChangeLog URL: https://groups.google.com/g/aprsc/c/1Oh62nrKNHs
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-02-10 08:34:45 UTC
^Triage: Bugfix release, MFH:

Approved by: portmgr (blanket: bugfix release)
Comment 4 commit-hook freebsd_committer 2021-02-16 17:52:38 UTC
A commit references this bug:

Author: db
Date: Tue Feb 16 17:51:45 UTC 2021
New revision: 565435
URL: https://svnweb.freebsd.org/changeset/ports/565435

Log:
  ------------
  * Reduce memory use significantly. The "last position of all stations"
  cache was unnecessarily holding a copy of the last packet from each
  station, eating 248 bytes per station (or more, if it was a long packet).
  It wasn't used for anything, so I removed the packet data from the
  structure, and it now uses 56 bytes per station. From about 13 megabytes
  to about 3 megabytes on a normal day.

  PR:		ports/253296
  Submitted by:	freebsd-ports@dan.me.uk
  Reviewed by:	portmgr
  Approved by:	Maintainer

Changes:
  head/net/aprsc/Makefile
  head/net/aprsc/distinfo
  head/net/aprsc/files/patch-Makefile.in
  head/net/aprsc/files/patch-web_index.html
  head/net/aprsc/pkg-plist